Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTabWidget.TabShape

    java.lang.Object
      java.lang.Enum<QTabWidget.TabShape>
          com.trolltech.qt.gui.QTabWidget.TabShape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTabWidget.TabShape>

Enclosing class:
  QTabWidget

    public static enum QTabWidget.TabShape

extends java.lang.Enum<QTabWidget.TabShape>
implements QtEnumerator

This enum type defines the shape of the tabs.

Constant | Value | Description
--- | --- | ---
`Rounded` | `0` | The tabs are drawn with a rounded look. This is the default shape.
`Triangular` | `1` | The tabs are drawn with a triangular look.

Enum Constant Summary
`Rounded` The tabs are drawn with a rounded look.
`Triangular` The tabs are drawn with a triangular look.

Method Summary
`static QTabWidget.TabShape` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTabWidget.TabShape` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTabWidget.TabShape[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Rounded

    public static final QTabWidget.TabShape Rounded

  The tabs are drawn with a rounded look. This is the default shape.

### Triangular

    public static final QTabWidget.TabShape Triangular

  The tabs are drawn with a triangular look.

Method Detail

### values

    public static final QTabWidget.TabShape[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTabWidget.TabShape c : QTabWidget.TabShape.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTabWidget.TabShape valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTabWidget.TabShape resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD